/*
 *	winmain.c
 *
 *	JoyToyインタプリタ
 *
 *	* Sun Jan 01 00:00:00 JST 2006 Naoyuki Sawa
 *	- 作成開始。
 *	* Tue Jan 31 00:00:00 JST 2006 Naoyuki Sawa
 *	- 1st リリース。
 */
#include "app.h"

static void
usage()
{
	printf("usage: JoyToy [source_filename]\n");
	exit(1);
}

int
main(int argc, char* argv[])
{
	FILE* in;

	/* メモリリークの追跡を行います。 */
	DEBUG_INIT();

	/* 入力ストリームを開きます。 */
	switch(argc) {
	case 1 + 0:
		in = stdin;
		break;
	case 1 + 1:
		in = fopen(argv[1], "r");
		if(!in) {
			DIE();
		}
		break;
	default:
		usage();
		/* NOTREACHED */
	}

	/* JoyToyを実行します。 */
	joytoy_main(in);

	/* 入力ストリームを閉じます。 */
	if(in != stdin) {
		fclose(in);
	}

	return 0;
}

